Skip to content

Searches for billing runs using predefined parameters

Request

Searches for billing runs using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The billing run that you would like to be saved.

generate_renewal_noticesArray of booleans(Generate Renewal Notices)
generate_renewal_ordersArray of booleans(Generate Renewal Orders)
idsArray of strings(Ids)

IDs to search

namestring(Name)
perform_auto_renewalsArray of booleans(Perform Auto Renewals)
perform_dropsArray of booleans(Perform Drops)
run_dateArray of strings, = 2 items(Run Date)
scheduled_run_dateArray of strings, = 2 items(Scheduled Run Date)
send_auto_renewal_remindersArray of booleans(Send Auto Renewal Reminders)
send_expiring_credit_card_remindersArray of booleans(Send Expiring Credit Card Reminders)
send_renewal_remindersArray of booleans(Send Renewal Reminders)
statusArray of strings(Status)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/billingRuns/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "generate_renewal_notices": [
      true
    ],
    "generate_renewal_orders": [
      true
    ],
    "ids": [
      "string"
    ],
    "name": "string",
    "perform_auto_renewals": [
      true
    ],
    "perform_drops": [
      true
    ],
    "run_date": [
      "string",
      "string"
    ],
    "scheduled_run_date": [
      "string",
      "string"
    ],
    "send_auto_renewal_reminders": [
      true
    ],
    "send_expiring_credit_card_reminders": [
      true
    ],
    "send_renewal_reminders": [
      true
    ],
    "status": [
      "string"
    ]
  }'

Responses

The billing run search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(BillingRunSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }